Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class FieldVideoAttributeMap

    java.lang.Object
      com.mindbright.terminal.tandem6530.FieldVideoAttributeMap

public class FieldVideoAttributeMap
extends java.lang.Object

Nested Class Summary
`protected class` | `FieldVideoAttributeMap.Attrib`

Field Summary
`protected FieldVideoAttributeMap.Attrib[]` | `attribs`
`protected int` | `defaultAttrib`
`protected int` | `numAttribs`

Constructor Summary
`FieldVideoAttributeMap(int defaultAttrib)`

Method Summary
`void` | `clearAt(int pos)`
`void` | `clearFrom(int pos)`
`protected void` | `delete(int index)`
`void` | `deleteAt(int pos)`
`protected int` | `find(int pos)`
`int` | `get(int pos)`
`protected int` | `getAttrib(int pos)`
`void` | `insertAt(int pos)`
`boolean` | `isAttrib(int pos)`
`void` | `set(int pos, int attrib)`
`void` | `setDefaultAttrib(int defaultAttrib)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defaultAttrib

    protected int defaultAttrib

### numAttribs

    protected int numAttribs

### attribs

    protected FieldVideoAttributeMap.Attrib[] attribs

Constructor Detail

### FieldVideoAttributeMap

    public FieldVideoAttributeMap(int defaultAttrib)

Method Detail

### setDefaultAttrib

    public void setDefaultAttrib(int defaultAttrib)

### isAttrib

    public boolean isAttrib(int pos)

### get

    public int get(int pos)

### set

    public void set(int pos,
                    int attrib)

### clearAt

    public void clearAt(int pos)

### clearFrom

    public void clearFrom(int pos)

### delete

    protected void delete(int index)

### insertAt

    public void insertAt(int pos)

### deleteAt

    public void deleteAt(int pos)

### toString

    public java.lang.String toString()

### getAttrib

    protected int getAttrib(int pos)

### find

    protected int find(int pos)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD